# Part of the A-A-P recipe executive: Testing of Process.py

# Copyright (C) 2002 Stichting NLnet Labs
# Permission to copy and use this file is specified in the file COPYING.
# If this file is missing you can find it here: http://www.a-a-p.org/COPYING

import sys

# Although the docs say Python looks in the current dir for modules, it needs
# to be told explicitly.
sys.path.insert(0, ".")

from Process import *
from Error import *
from Util import *

# Setup Internationalisation (defines _())
i18n_init()

# Test assert_var_name()

for name in ["foo", "_f19_AZ_"]:
    try:
	assert_var_name(name, [])
    except UserError:
	print "assert_var_name(%s) failed" % name
	sys.exit(1)

for name in ["foo#", "-f19"]:
    try:
	assert_var_name(name, [])
    except UserError:
	pass
    else:
	print "assert_var_name(%s) didn't fail" % name
	sys.exit(1)

# vim: set sw=4 sts=4 tw=79 fo+=l:
